Subject: Re: [Mingw-users] mingw-runtime (mingw-20010917)
From: Danny Smith <[email-masked]>
To: MU List <[email-masked]>, Roger Wells <[email-masked]>
Cc: CU List <[email-masked]>
Date: Wed, 26 Sep 2001 06:16:43 +1000 (EST)

--- Earnie Boyd <[email-masked]> wrote: > mailbox:/C|/Program
> Files/Netscape/Users/earnie_boyd/Mail/Inbox.sbd/Cygwin.sbd/Cygwin
>
Users?id=1001373668.31548.ezmlm%40sources.redhat.com&number=5375295&part=1.26
> 
> Since this is a MinGW issue, I've forwarded this to the appropriate
> list.
> 
> Earnie.

> ATTACHMENT part 2 message/rfc822 name=cygwin.36995
> From: "Roger Wells" <[email-masked]>
> To: <[email-masked]>
> Subject: mingw-runtime (mingw-20010917)
> Date: Mon, 24 Sep 2001 16:00:05 -0400
> 
> Hi,
> 
> I just installed the latest mingw-runtime.  Now any trivial c++
> program
> gives the following error when linking:
> 
> $ gcc -mno-cygwin -I/usr/local/mingw/include -I/usr/include/g++-3
> hello.cpp -L/usr/local/mingw/lib  -lstdc++
>    gives:
> /usr/local/mingw/lib/libstdc++.a(floatconv.o)(.text+0x1244):
> undefined
> reference  to `_imp___HUGE_dll'
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

It looks like you are using an old mingw version of libstdc++.a, with a
dependency on libcrtdll.a rather than  libmsvcrt.a.  Upgrade to a newer
version of the mingw libstdc++.a.

Danny

http://travel.yahoo.com.au - Yahoo! Travel
- Got Itchy feet? Get inspired!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/